Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.loader.entity
Class EntityLoader

    java.lang.Object
      org.hibernate.loader.Loader
          org.hibernate.loader.BasicLoader
              org.hibernate.loader.OuterJoinLoader
                  org.hibernate.loader.entity.AbstractEntityLoader
                      org.hibernate.loader.entity.EntityLoader

All Implemented Interfaces:
  UniqueEntityLoader

    public class EntityLoader

extends AbstractEntityLoader

Loads an entity instance using outerjoin fetching to fetch associated entities.
The `EntityPersister` must implement `Loadable`. For other entities, create a customized subclass of `Loader`.

Author:
  Gavin King

Field Summary

Fields inherited from class org.hibernate.loader.entity.AbstractEntityLoader
`entityName, log, persister, uniqueKeyType`

Fields inherited from class org.hibernate.loader.OuterJoinLoader
`aliases, collectionOwners, collectionPersisters, collectionSuffixes, lockModeArray, ownerAssociationTypes, owners, persisters, sql, suffixes`

Fields inherited from class org.hibernate.loader.BasicLoader
`NO_SUFFIX`

Constructor Summary
`EntityLoader(OuterJoinLoadable persister, int batchSize, LockMode lockMode, SessionFactoryImplementor factory, Map enabledFilters)`
`EntityLoader(OuterJoinLoadable persister, LockMode lockMode, SessionFactoryImplementor factory, Map enabledFilters)`
`EntityLoader(OuterJoinLoadable persister, String[] uniqueKey, Type uniqueKeyType, int batchSize, LockMode lockMode, SessionFactoryImplementor factory, Map enabledFilters)`

Method Summary
`protected boolean` | `isSingleRowLoader()` Return false is this loader is a batch entity loader
`Object` | `loadByUniqueKey(SessionImplementor session, Object key)`

Methods inherited from class org.hibernate.loader.entity.AbstractEntityLoader
`getResultColumnOrRow, load, load`

Methods inherited from class org.hibernate.loader.OuterJoinLoader
`getAliases, getCollectionOwners, getCollectionPersisters, getCollectionSuffixes, getDialect, getEnabledFilters, getEntityPersisters, getLockModes, getOwnerAssociationTypes, getOwners, getSQLString, getSuffixes, initFromWalker`

Methods inherited from class org.hibernate.loader.BasicLoader
`generateSuffixes, generateSuffixes, getCollectionAliases, getEntityAliases, postInstantiate`

Methods inherited from class org.hibernate.loader.Loader
`applyLocks, autoDiscoverTypes, bindNamedParameters, bindParameterValues, bindPositionalParameters, checkScrollability, doList, getEntityEagerPropertyFetches, getFactory, getNamedParameterLocs, getQueryIdentifier, getResultList, getResultSet, hasSubselectLoadableCollections, isSubselectLoadingEnabled, list, loadCollection, loadCollectionBatch, loadCollectionSubselect, loadEntity, loadEntity, loadEntityBatch, loadSequentialRowsForward, loadSequentialRowsReverse, loadSingleRow, needsFetchingScroll, prepareQueryStatement, preprocessSQL, processFilters, scroll, toString, upgradeLocks`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntityLoader

    public EntityLoader(OuterJoinLoadable persister,
                        LockMode lockMode,
                        SessionFactoryImplementor factory,
                        Map enabledFilters)
                 throws MappingException

Throws:
  `MappingException`

### EntityLoader

    public EntityLoader(OuterJoinLoadable persister,
                        int batchSize,
                        LockMode lockMode,
                        SessionFactoryImplementor factory,
                        Map enabledFilters)
                 throws MappingException

Throws:
  `MappingException`

### EntityLoader

    public EntityLoader(OuterJoinLoadable persister,
                        String[] uniqueKey,
                        Type uniqueKeyType,
                        int batchSize,
                        LockMode lockMode,
                        SessionFactoryImplementor factory,
                        Map enabledFilters)
                 throws MappingException

Throws:
  `MappingException`

Method Detail

### loadByUniqueKey

    public Object loadByUniqueKey(SessionImplementor session,
                                  Object key)
                           throws HibernateException

  Throws:
    `HibernateException`

### isSingleRowLoader

    protected boolean isSingleRowLoader()

  Description copied from class: `Loader`
  Return false is this loader is a batch entity loader

  Overrides:
    `isSingleRowLoader` in class `AbstractEntityLoader`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD